:root {
	--black: #333;
	--gray: #777;
	--light-gray: #ddd;
	--turquoise: #01ca86;
	--white: #fff;
}
@font-face {
	font-display: swap;
	font-family: "Ubuntu";
	font-weight: normal;
	src: url("./ubuntu-regular.woff2") format("woff2");
}
@font-face {
	font-display: swap;
	font-family: "Ubuntu";
	font-weight: bold;
	src: url("./ubuntu-bold.woff2") format("woff2");
}

body { 
	background-color: var(--white);
	color: var(--black);
	font-family: "Ubuntu", serif;
	font-size: 14px;
	font-weight: normal;
	margin: 0;
}
nav {
	background-color: var(--black);
	display: grid;
	align-items: center;
	grid-gap: 12px;
	grid-template-columns: auto auto 4.75fr 1fr;
	padding: 12px;
	position: sticky;
	top: 0;
	z-index: 2;
	color: var(--white);
}
a {
	color: inherit; 
}
label {
	display: block;
	margin: 6px 0;
}
input {
	border-radius: 24px;
	border: solid 1px var(--turquoise);
	font-family: "Ubuntu", serif;
	padding: 6px 12px;
	width: 100%;
}
svg {
	pointer-events: none;
}

/* ### states ### */

.settings__open-bt:hover,
.settings__open-bt:focus,
.engine:hover, 
.engine:focus { 
	opacity: 0.85;
}
.--hidden { 
	display: none;
}

/* ### bookies search form ### */

.bookies__search-form {
	align-items: center;
	display: flex;
}
.engines {
	margin-left: 12px;
	display: grid;
	grid-gap: 6px;
	grid-template-columns: repeat(3, auto);
}
.engine {
	background: url('./engines.png') no-repeat top left / 30px 108px;
	height: 30px;
	width: 30px;
}
.engine#brave { background-position: 0 0; }
.engine#duckduckgo { background-position: 0 -36px; }
.engine#google { background-position: 0 -72px; }

/* ### bookies informations ### */

.bookies__counter { 
	color: var(--turquoise);
	margin: 0 0 2px 0;
}

/* ### bookies content ### */

.bookies__container {
	background-color: var(--gray);
	display: grid;
	grid-gap: 1px;
	grid-template-columns: repeat(3, minmax(200px, 1fr));
}
.bookie {
	align-items: center;
	padding: 12px;
}
.bookie__parents {
	background-color: var(--light-gray);
	color: var(--black);
	display: flex;
	flex-wrap: wrap;
	font-size: .9em;
	line-height: 18px;
	margin-bottom: 18px;
	padding: 3px 6px;
}
.bookie__parents__a {
	margin-inline: 3px
}
.bookie a {
	text-decoration: none;
}
.bookie a:hover {
	text-decoration: underline;
	text-underline-offset: 2px;
	text-decoration-thickness: 2px;
	text-decoration-color: inherit;
}

/* ### settings ### */

.settings__open-bt {
	align-items: center;
	background-color: transparent;
	border: none;
	border-right: solid 1px;
	display: flex;
	justify-content: center;
	padding: 12px;
}
.settings__open-bt svg {
	fill: var(--white);
	height: 24px;
	width: 24px;
}
.settings__container {
	padding: 12px;
}
.settings__sets {	
	display: grid;
	grid-gap: 12px;
	grid-template-columns: repeat(3, minmax(200px, 1fr));
}
fieldset {
	border: solid 1px var(--light-gray);
	padding: 12px 24px;  
}
legend {
	line-height: 18px;
	background-color: var(--black);
	color: var(--white);
	font-size: .9em;
	padding: 3px 6px;
}